import {Vector2 as Vector22} from "three/src/math/Vector2";
import {Vector3 as Vector32} from "three/src/math/Vector3";
import {Vector4 as Vector42} from "three/src/math/Vector4";
export class CoreType {
  static isNumber(value) {
    return typeof value == "number";
  }
  static isVector(value) {
    return value instanceof Vector22 || value instanceof Vector32 || value instanceof Vector42;
  }
  static isString(value) {
    return typeof value == "string";
  }
  static isBoolean(value) {
    return value === true || value === false;
  }
  static isNaN(value) {
    return isNaN(value);
  }
  static isArray(value) {
    return Array.isArray(value);
  }
}
